import * as $dara from '@darabonba/typescript';
export declare class DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeActionOnMaintenanceSupportedValues extends $dara.Model {
    supportedValue?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeActionOnMaintenance extends $dara.Model {
    /**
     * @remarks
     * The default maintenance action.
     *
     * @example
     * AutoRecover
     */
    defaultValue?: string;
    /**
     * @remarks
     * The supported maintenance actions.
     */
    supportedValues?: DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeActionOnMaintenanceSupportedValues;
    /**
     * @remarks
     * The current maintenance action. Valid values:
     *
     * *   Stop: stops the instance.
     * *   AutoRecover: automatically recovers the instance.
     * *   AutoRedeploy: redeploys the instance, which may damage the data disks attached to the instance.
     *
     * @example
     * Stop
     */
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeMaintenanceWindowsMaintenanceWindow extends $dara.Model {
    /**
     * @remarks
     * The end time of the maintenance window.
     *
     * @example
     * 18:00:00
     */
    endTime?: string;
    /**
     * @remarks
     * The start time of the maintenance window.
     *
     * @example
     * 02:00:00
     */
    startTime?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeMaintenanceWindows extends $dara.Model {
    maintenanceWindow?: DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeMaintenanceWindowsMaintenanceWindow[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttribute extends $dara.Model {
    /**
     * @remarks
     * The attributes of the maintenance action of the instance.
     */
    actionOnMaintenance?: DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeActionOnMaintenance;
    /**
     * @remarks
     * The instance ID.
     *
     * @example
     * i-bp67acfmxazb4p****
     */
    instanceId?: string;
    /**
     * @remarks
     * The maintenance windows.
     */
    maintenanceWindows?: DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttributeMaintenanceWindows;
    /**
     * @remarks
     * Indicates whether an event notification was sent before maintenance.
     *
     * @example
     * false
     */
    notifyOnMaintenance?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributes extends $dara.Model {
    maintenanceAttribute?: DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributesMaintenanceAttribute[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceMaintenanceAttributesResponseBody extends $dara.Model {
    /**
     * @remarks
     * The maintenance attributes.
     */
    maintenanceAttributes?: DescribeInstanceMaintenanceAttributesResponseBodyMaintenanceAttributes;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of queried maintenance attributes.
     *
     * @example
     * 100
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
